Ext.namespace("dSS", "dSS.config");

dSS.config.features = {};
dSS.config.settings = {};
dSS.config.dSSTimeDiff = 0;
dSS.config.firstLoad = true;

dSS.config.language = 'de_DE';
dSS.config.langPath = '/locale/' + dSS.config.language + '/LC_MESSAGES/' + 
                      'dss-langpack.json';

dSS.config.groups = {
    "VARIABLE"  : 0,
    "LIGHT"     : 1,
    "SHADOW"    : 2,
    "CLIMATE"   : 3,
    "AUDIO"     : 4,
    "VIDEO"     : 5,
    "SECURITY"  : 6,
    "ACCESS"    : 7,
    "JOKER"     : 8,
    "WHITE"     : 9,
    "DISPLAYS"  : 10
};

dSS.config.scenes = {
    "DEC"           : 11,
    "INC"           : 12,
    "MIN"           : 13,
    "MAX"           : 14,
    "STOP"          : 15,
    "T0_S0"         : 0,
    "T0_S1"         : 5,
    "T0_S2"         : 17,
    "T0_S3"         : 18,
    "T0_S4"         : 19,
    "T1_S0"         : 1,
    "T1_S1"         : 6,  // mood area 1
    "T2_S1"         : 7,  // mood area 2
    "T3_S1"         : 8,  // mood area 3
    "T4_S1"         : 9,  // mood area 4
    "EX5"           : 32, // mood 5
    "EX6"           : 33, // mood 6
    "T1_S2"         : 20, // mood 7
    "T1_S3"         : 21, // mood 8
    "T1_S4"         : 22, // mood 9
    "EX10"          : 34, // mood 10
    "EX11"          : 35, // mood 11
    "T2_S2"         : 23, // mood 12
    "T2_S3"         : 24, // mood 13
    "T2_S4"         : 25, // mood 14
    "EX15"          : 36, // mood 15
    "EX16"          : 37, // mood 16
    "T3_S2"         : 26, // mood 17
    "T3_S3"         : 27, // mood 18
    "T3_S4"         : 28, // mood 19
    "EX20"          : 38, // mood 20
    "EX21"          : 39, // mood 21
    "T4_S2"         : 29, // mood 22
    "T4_S3"         : 30, // mood 23
    "T4_S4"         : 31, // mood 24
    "PANIC"         : 65,
    "STANDBY"       : 67,
    "DEEP_OFF"      : 68,
    "SLEEPING"      : 69,
    "WAKE_UP"       : 70,
    "PRESENT"       : 71,
    "ABSENT"        : 72,
    "SIG_BELL"      : 73
};

dSS.config.sceneNames = {
    0   : "Scene 0",
    5   : "Scene 1",
    17  : "Scene 2",
    18  : "Scene 3",
    19  : "Scene 4",
    65  : "Panic",
    67  : "Standby",
    68  : "Deep off",
    69  : "Sleeping",
    70  : "Wake up",
    71  : "Coming home",
    72  : "Leave home",
    73  : "Door bell",
    6   : "Mood Area 1",
    7   : "Mood Area 2",
    8   : "Mood Area 3",
    9   : "Mood Area 4",
    32  : "Mood 5",
    33  : "Mood 6",
    20  : "Mood 7",
    21  : "Mood 8",
    22  : "Mood 9",
    34  : "Mood 10",
    35  : "Mood 11",
    23  : "Mood 12",
    24  : "Mood 13",
    25  : "Mood 14",
    36  : "Mood 15",
    37  : "Mood 16",
    26  : "Mood 17",
    27  : "Mood 18",
    28  : "Mood 19",
    38  : "Mood 20",
    39  : "Mood 21",
    29  : "Mood 22",
    30  : "Mood 23",
    31  : "Mood 24"
};

dSS.config.deviceTypes = {
    0           : "KM" ,
    1           : "TKM",
    2           : "SDM",
    3           : "KL" ,
    4           : "TUP",
    5           : "ZW"
};

dSS.config.deviceColors = {
    1           : "GE",
    2           : "GR",
    3           : "BL",
    4           : "TK",
    5           : "MG",
    6           : "RT",
    7           : "GN",
    8           : "SW",
    9           : "WE"
};

dSS.config.deviceParams = {
    "OUTPUT_MODE_DISABLED"          : 0,
    "OUTPUT_MODE_SWITCH"            : 16,
    "OUTPUT_MODE_DIMMER"            : 22,

    "LED_CONFIG_AUTO"               : 1,
    "LED_CONFIG_OFF"                : 2,

    "DIM_CONFIG_SELECT_STANDARD"    : 1,
    "DIM_CONFIG_SELECT_SLOW"        : 2,
    "DIM_CONFIG_SELECT_CUSTOM"      : 3,

    "PUSHBUTTON_DEVICE"             : 0,
    "PUSHBUTTON_GROUP1"             : 1,
    "PUSHBUTTON_GROUP2"             : 2,
    "PUSHBUTTON_GROUP3"             : 3,
    "PUSHBUTTON_GROUP4"             : 4,
    "PUSHBUTTON_ZONE0"              : 5,
    "PUSHBUTTON_ZONE1"              : 6,
    "PUSHBUTTON_ZONE2"              : 7,
    "PUSHBUTTON_ZONE3"              : 8,
    "PUSHBUTTON_ZONE4"              : 9,
    "PUSHBUTTON_GROUP5"             : 10,
    "PUSHBUTTON_GROUP6"             : 11,
    "PUSHBUTTON_GROUP7"             : 12,
    "PUSHBUTTON_GROUP8"             : 13
};

dSS.config.OutModeStrings = {
    0   : "disabled",
    16  : "switched",
    22  : "dimmed"
};

dSS.config.TitleIconCSSExt = 'Title';

dSS.config.GenericDeviceIconCls = {
    1           : "functionLight",
    2           : "functionShadow",
    3           : "functionClimate",
    4           : "functionAudio",
    5           : "functionVideo",
    6           : "functionSecurity",
    7           : "functionAccess",
    8           : "functionJoker",
    9           : "functionWhite"
};

dSS.config.KMIconCls = {
    1           : "functionLightKM",
    2           : "functionShadowKM",
    3           : "functionClimateKM",
    4           : "functionAudioKM",
    5           : "functionVideoKM",
    6           : "functionSecurityKM",
    7           : "functionAccessKM",
    8           : "functionJokerKM",
    9           : "functionWhiteKM"
};

dSS.config.TKMIconCls = {
    1           : "functionLightTKM",
    2           : "functionShadowTKM",
    3           : "functionClimateTKM",
    4           : "functionAudioTKM",
    5           : "functionVideoTKM",
    6           : "functionSecurityTKM",
    7           : "functionAccessTKM",
    8           : "functionJokerTKM",
    9           : "functionWhiteTKM"
};

dSS.config.SDMIconCls = {
    1           : "functionLightSDM",
    2           : "functionShadowSDM",
    3           : "functionClimateSDM",
    4           : "functionAudioSDM",
    5           : "functionVideoSDM",
    6           : "functionSecuritySDM",
    7           : "functionAccessSDM",
    8           : "functionJokerSDM",
    9           : "functionWhiteSDM"
};

dSS.config.DeviceIconCSS = {
    0           : dSS.config.KMIconCls,
    1           : dSS.config.TKMIconCls,
    2           : dSS.config.SDMIconCls,
    3           : dSS.config.KMIconCls,
    4           : dSS.config.deviceGenericIconCls,
    5           : dSS.config.deviceGenericIconCls
};

dSS.config.TransmissionQuality = {
    "UPSTREAM_MAX"      : 62,
    "DOWNSTREAM_MAX"    : 6
};

dSS.config.FeatureConfig = {
    "SCENE"     : 0,
    "ZONE"      : 1,
    "CIRCUIT"   : 2
};

dSS.config.PushbuttonMinFW = 0x0314;
